org 51000

counter EQU inc_counter + 1

zero_counter:
	xor a

set_counter:
	ld (counter), a

read_keyboard:
	ld a, &f7
	in a, (&fe)
	rra
	jr nc, key_1
	rra
	jr nc, key_2
	rra
	jr nc, key_3
	rra
	jr nc, key_4
	rra
	jr nc, key_5
	jr read_keyboard

key_1:
	ld a, (counter)
	call play
	jr inc_counter

key_2:
	ld a, (counter)
	inc a
	call play
	jr inc_counter

key_3:
	ld a, (counter)
	inc a
	inc a
	call play
	jr inc_counter

key_4:
	ld a, (counter)
	add a, 3
	call play
	jr inc_counter

key_5:
	ld a, (counter)
	add a, 4
	call play

inc_counter:
	ld a, 0		;This value will be modified by the running code
	add a, 5
	cp 25
	jr nz, set_counter
	jr zero_counter

INCLUDE "sample.asm"
